/***************************************************************************
 *   Copyright (C) 2004-2006 by Pere Constans
 *   constans@molspaces.com
 *   cb2Bib version 0.6.1
 *   See LICENSE file that comes with this distribution
 ***************************************************************************/
#ifndef C2BPREPARSERLOGVIEWER_H
#define C2BPREPARSERLOGVIEWER_H

#include <c2bpreparserlogviewerbase.h>


class c2bSettings;
class QProcess;


class c2bPreParserLogViewer : public c2bPreParserLogViewerBase
{
    Q_OBJECT

public:
    c2bPreParserLogViewer(c2bSettings *st, QWidget *parent = 0, const char *name = 0);
    ~c2bPreParserLogViewer();

    void append( const QString& ms );
    void readLog( QProcess *ep );


signals:
    void helpRequested( const QString& ln );


public slots:
    virtual void closeEvent( QCloseEvent* ce );


protected slots:
    virtual void Help();


private:
    c2bSettings *s;

};

#endif
